Skip to main content
POST
Generate specification configuration
You are reading the docs of Galtea 5.10. Read this page in the latest version.

Authorizations

Authorization
string
header
required

API key authorization. Pass your API key in the Authorization header as a Bearer token. Both new (gsk_*) and legacy (gsk-) API keys are accepted, e.g. Authorization: Bearer gsk_... or Authorization: Bearer gsk-....

Body

application/json
description
string
required

The rough, brief, or already-written specification description (max 5000 characters)

Required string length: 1 - 5000
Example:

"no swearing pls"

productId
string

Optional product ID for additional context

Example:

"prod_123"

Response

Generated specification configuration returned successfully

name
string
required

The AI-written short specification name

description
string
required

The AI-written specification description, rewritten from the input

type
enum<string>
required

Suggested specification type

Available options:
CAPABILITY,
INABILITY,
POLICY
testType
enum<string> | null
required

Suggested test type (POLICY: the classified value; CAPABILITY: always SCENARIOS; null for INABILITY)

Available options:
QUALITY,
RED_TEAMING,
SCENARIOS,
null
testVariant
string | null
required

Suggested test variant (QUALITY and RED_TEAMING test types only; null otherwise)